package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag750;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT750Creator;

/**
 * @author wanggang
 * @date 2023-03-03
 */
public class Tag21Creator extends AbsTagCreate {

     private MT750Creator mt750Creator;

    public Tag21Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt750Creator= (MT750Creator) absMTCreator;
    }

    public void creator()
    {
        String tag21Value = mt750Creator.getRelatedReference();
        mt750Creator.set("21", tag21Value);
    }
}

